* Encoding: UTF-8.
title 1971 CENSUS OF CANADA- BST: EA-LONG FORM- A2HSGOO1.
subtitle SPSS commands by UTL, rev. 2016-07.
FILE HANDLE in NAME='x\cnd_a2hsg001_corr_utl.asc' lrecl=519.  /*replace x with the path to the location where you have stored the data file.

DATA LIST   FILE=IN RECORDS=1/
    PROV            1 -      2
    FED             3 -      4
    EA              5 -      7
    CD              8 -      9
    MUNIC          10 -     11
    SUBDIV         12 -     13 (a)
    RURAL          14 -     14
    CMA            15 -     17
    CT             18 -     20
    CMAPART        21 -     21
    MUNSIZE        22 -     22 (A)
    RURSIZE        23 -     23 (A)
    REFCODE        24 -     25
    ECONREG        26 -     27
    CMCA           28 -     29 (a)
    CTV            30 -     33
    CMACA          34 -     36
    CONTROL        37 -     37
    MUNSUBDV       38 -     38
    BLANK1         39 -     41 (a)
    ECONAREA       42 -     42
    MSUBSIZE       43 -     43
    RURCODE        44 -     44
    RURMUN         45 -     45
    CMACODE1       46 -     46
    CMACODE2       47 -     47
    LGECITY        48 -     48
    BLANK2         49 -     50 (a)
    V29            51 -     57
    V30            58 -     64
    V31            65 -     71
    V32            72 -     78
    V33            79 -     85
    V34            86 -     92
    V35            93 -     99
    V36           100 -    106
    V37           107 -    113
    V38           114 -    120
    V39           121 -    127
    V40           128 -    134
    V41           135 -    141
    V42           142 -    148
    V43           149 -    155
    V44           156 -    162
    V45           163 -    169
    V46           170 -    176
    V47           177 -    183
    V48           184 -    190
    V49           191 -    197
    V50           198 -    204
    V51           205 -    211
    V52           212 -    218
    V53           219 -    225
    V54           226 -    232
    V55           233 -    239
    V56           240 -    246
    V57           247 -    253
    V58           254 -    260
    V59           261 -    267
    V60           268 -    274
    V61           275 -    281
    V62           282 -    288
    V63           289 -    295
    V64           296 -    302
    V65           303 -    309
    V66           310 -    316
    V67           317 -    323
    V68           324 -    330
    V69           331 -    337
    V70           338 -    344
    V71           345 -    351
    V72           352 -    358
    V73           359 -    365
    V74           366 -    372
    V75           373 -    379
    V76           380 -    386 (3)
    V77           387 -    393
    V78           394 -    400
    V79           401 -    407
    V80           408 -    414
    V81           415 -    421
    V82           422 -    428
    V83           429 -    435
    V84           436 -    442
    V85           443 -    449
    V86           450 -    456
    V87           457 -    463
    V88           464 -    470
    V89           471 -    477
    V90           478 -    484
    V91           485 -    491
    V92           492 -    498
    V93           499 -    505 (3)
    V94           506 -    512
    V95           513 -    519 (3).
VARIABLE LABELS
  PROV      'Province'
  FED       'Federal electoral district'
  EA        'Enumeration area'
  CD        'County/Census division'
  MUNIC     'Municipality'
  SUBDIV    'Subdivision'
  RURAL     'Rural/Urban municipality'
  CMA       'Census metropolitan area/census agglomeration'
  CT        'Census tract'
  CMAPART   'CMA/CA part'
  MUNSIZE   'Municipality size code- Urban'
  RURSIZE   'Rural/Urban size code'
  REFCODE   'Reference code'
  ECONREG   'Economic region of Statistics Canada'
  CMCA      'Canada manpower centre area code'
  CTV       'City, town, village- alphabetic seq number'
  CMACA     'CMA/CA alphabetic sequence number'
  CONTROL   'Casper control field'
  MUNSUBDV  'Municicpal subdivision'
  BLANK1    'Blank- for future use'
  ECONAREA  'Economic area'
  MSUBSIZE  'Municipal subdivision size'
  RURCODE   'Rural/urban code'
  RURMUN    'Rural/urban municipality code'
  CMACODE1  'CMA/CA code'
  CMACODE2  'CMA/CA code'
  LGECITY   'Largest city code'
  BLANK2    'Blank'
  V29       'Count of total dwellings'
  V30       'Dwellings by period of construction - before 1946'
  V31       'Dwellings by period of construction - 1946-1950'
  V32       'Dwellings by period of construction - 1951-1960'
  V33       'Dwellings by period of construction - 1961-1965'
  V34       'Dwellings by period of construction - 1966-1970'
  V35       'Dwellings by period of construction - 1971-June 1, 1971'
  V36       'Dwellings by number of bedrooms- 0 bedroom'
  V37       'Dwellings by number of bedrooms- 1 bedroom'
  V38       'Dwellings by number of bedrooms- 2 bedrooms'
  V39       'Dwellings by number of bedrooms- 3 bedrooms'
  V40       'Dwellings by number of bedrooms- 4 bedrooms'
  V41       'Dwellings by number of bedrooms- 5 bedrooms or more'
  V42       'Average number of bedrooms per dwelling'
  V43       'Source of water supply- municipal or private company'
  V44       'Source of water supply- well on property'
  V45       'Source of water supply- other (spring, river etc)'
  V46       'Method of sewage disposal- connection to public sewer'
  V47       'Method of sewage disposal- septic tank'
  V48       'Method of sewage disposal- other (cesspool pit)'
  V49       'Type of heating equipment- furnace/installed electric system'
  V50       'Type of heating equipment- heating stove, cook stove, space heater'
  V51       'Type of heating equipment- other (fireplace etc.)'
  V52       'Type of heating fuel- oil or other liquid fuel'
  V53       'Type of heating fuel- gas (piped or bottled)'
  V54       'Type of heating fuel- electricity'
  V55       'Type of heating fuel- other or none'
  V56       'Type of cooking fuel- oil or other liquid fuel'
  V57       'Type of cooking fuel- gas (piped or bottled)'
  V58       'Type of cooking fuel- electricity'
  V59       'Type of cooking fuel- other or none'
  V60       'Type of water heating fuel- oil or other liquid'
  V61       'Type of water heating fuel- gas (piped or bottled)'
  V62       'Type of water heating fuel- electricity'
  V63       'Type of water heating fuel- other or none'
  V64       'Dwellings by number of automobiles- no automobile'
  V65       'Dwellings by number of automobiles- 1 automobile'
  V66       'Dwellings by number of automobiles- 2 automobiles'
  V67       'Dwellings by number of automobiles- 3 automobiles or more'
  V68       'Dwellings by owned vacation homes- without vacation homes'
  V69       'Dwellings by owned vacation homes- with vacation homes'
  V70       'Household facilities- refrigerator'
  V71       'Household facilities- home freezer'
  V72       'Household facilities- electric dishwasher'
  V73       'Household facilities- automatic clothes dryer'
  V74       'Household facilities- television'
  V75       'Owner occupied single house non-farm dwelling'
  V76       'Owner occupied non-farm single house - median value'
  V77       'Owner occupied non-farm single house- no mortgage on dwelling'
  V78       'Owner occupied non-farm single house- first mortgage only'
  V79       'Owner occupied non-farm single house- more than one mortgage'
  V80       'Owner occupied nf dwellings,holder of first mortgage- bank finance'
  V81       'Owner occupied nf dwellings,holder of first mortgage- government'
  V82       'Owner occupied nf dwellings,holder of first mortgage- private individual'
  V83       'Owner occupied nf dwel,holder of 1st mortgage- other (credit union etc)'
  V84       'Owner occupied nf dwellings,parking facilities- without garage'
  V85       'Owner occupied nf dwellings,parking facilities- with garage'
  V86       'Tenant occupied non-farm dwellings - total'
  V87       'Tenant occupied nf dwellings,items incl in rent- furniture/furnishings'
  V88       'Tenant occupied nf dwellings,items incl in rent- air conditioning'
  V89       'Tenant occupied nf dwellings,items incl in rent- refrigerator'
  V90       'Tenant occupied nf dwellings,items incl in rent- cooking stove'
  V91       'Tenant occupied nf dwellings,items incl in rent- off street parking'
  V92       'Tenant occupied non-farm dwellings - average cash rent'
  V93       'Tenant occupied non-farm dwellings - median cash rent'
  V94       'Tenant occupied non-farm dwellings - average gross rent'
  V95       'Tenant occupied non-farm dwellings - median gross rent'.
VALUE LABELS
    PROV      10          'NEWFOUNDLAND'
          11          'PR EDWARD ISLAND'
          12          'NOVA SCOTIA'
          13          'NEW BRUNSWICK'
          24          'QUEBEC'
          35          'ONTARIO'
          46          'MANITOBA'
          47          'SASKATCHEWAN'
          48          'ALBERTA'
          59          'BRITISH COLUMBIA'
          60          'YUKON TERRITORY'
          61          'NW TERRITORIES'
         /
    RURAL     1           'RURAL'
          2           'CTV'
          3           'URBAN'
          4           'URBAN'
          5           'URBAN'
          6           'URBAN'
          7           'URBAN'
          8           'URBAN'
          9           'URBAN'
         /
    CMAPART   1           'LARGEST CITY'
          2           'REMAINDER URBANIZED CORE'
          3           'FRINGE- URBAN'
          4           'FRINGE- RURAL'
         /
    MUNSIZE   'A'  '>_500000 (U)'
          'B'  '100000-499999 (U)'
          'C'  '30000-99999 (U)'
          'D'  '10000-29999 (U)'
          'E'  '5000-9999 (U)'
          'F'  '2500-4999 (U)'
          'G'  '1000-2499 (U)'
          'H'  '< 1000 (U)'
          '1'  '>_500000 (R)'
          '2'  '100000-499999 (R)'
          '3'  '30000-99999 (R)'
          '4'  '10000-29999 (R)'
          '5'  '5000-9999 (R)'
          '6'  '2500-4999 (R)'
          '7'  '1000-2499 (R)'
          '8'  '< 1000 (R)'
         /
    RURSIZE   'A'  '>_500000 (U)'
          'B'  '100000-499999(U)'
          'C'  '30000-99999 (U)'
          'D'  '10000-29999 (U)'
          'E'  '5000-9999 (U)'
          'F'  '2500-4999 (U)'
          'G'  '1000-2499 (U)'
          'H'  '< 1000 (U)'
          '1'  'RURAL'
         /
    ECONAREA  1           'URBAN'
          2           'RURAL'
         /
    RURCODE   0           'URBAN'
          1           'RURAL'
         /
    RURMUN    0           'URBAN'
          1           'RURAL'
         /
    CMACODE1  0           'CMA-CA'
          1           'NON CMA-CA'
         /
    CMACODE2  0           'URBAN CORE'
          1           'FRINGE AREA'
         /
    LGECITY   0           'LARGEST CITY'
          1           'REMAINDER'
         /.
/*frequencies variables=cmapart to cmca cmaca to lgecity.
/*descriptives variables=v76,v93,v95.
/*crosstabs tables=fed by prov.

SAVE OUTFILE='y'.  /* Replace y with path and file name (use .sav extension) to save the file.
EXECUTE.
